<template>
  <div class="app-container">
    <div class="search_form">
      <div>
        <span class="search_title">付款台账：</span>
        <el-input
          v-model="searchForm.supplierNameOrContractNo"
          style="width: 240px"
          placeholder="输入供应商名称"
          @change="handleQuery"
          clearable
          :prefix-icon="Search"
        />
        <el-button type="primary" @click="handleQuery" style="margin-left: 10px"
          >搜索</el-button
        >
      </div>
      <div>
      </div>
    </div>
    <el-row>
      <el-col :span="14">
        <div class="table_list">
          <PIMTable
            :column="tableColumn"
            :tableData="tableData"
            :page="page"
            :isSelection="false"
            :handleSelectionChange="handleSelectionChange"
            :tableLoading="tableLoading"
            @pagination="pagination"
            :total="total"
            :rowClick="rowClick"
            :isShowSummary="isShowSummary"
            :highlight-current-row="true"
          ></PIMTable>
        </div>
      </el-col>
      <el-col :span="10">
        <div class="table_list">
          <PIMTable
            :column="tableColumnSon"
            :tableData="tableDataSon"
            :page="pageSon"
            :isSelection="false"
            :tableLoading="tableLoadingSon"
            @pagination="paginationSon"
            :total="totalSon"
            :isShowSummary="isShowSummarySon"
          ></PIMTable>
        </div>
      </el-col>
    </el-row>
  </div>
</template>

<script setup>
import { ref, toRefs } from "vue";
import { Search } from "@element-plus/icons-vue";
import { paymentLedgerList } from "@/api/procurementManagement/paymentLedger.js";

const tableColumn = ref([
  {
    label: "供应商名称",
    prop: "supplierName",
  },
  {
    label: "发票金额(元)",
    prop: "invoiceAmount",
  },
  {
    label: "付款金额(元)",
    prop: "paymentAmount",
  },
  {
    label: "应付金额(元)",
    prop: "payableAmount",
  },
]);
const tableLoading = ref(false);
const data = reactive({
  searchForm: {
    supplierNameOrContractNo: "",
  },
});
const page = reactive({
  current: 1,
  size: 10,
});
const total = ref(0);
const isShowSummary = ref(true);
const tableData = ref([]);
const { searchForm } = toRefs(data);


import {getInfo} from "@/api/login.js";
const rowClick = async (row) => {
  /* let res = await getInfo(row.id)
  if (res.code === 200) {
    proxy.$modal.msgSuccess("获取成功")
    if(res.data == "" || res.data == null){
      proxy.$modal.msgError("没有数据")
      return
    }
    rightShow.value = !rightShow.value
    form.value = res.data

  } else {
    proxy.$modal.msgError(res.msg)
  } */
  tableDataSon.value.push(row);
  if(tableDataSon.value.length > 10) {
    tableDataSon.value = []
  }
}


// 子模块
const tableColumnSon = ref([
  {
    label: "供应商名称",
    prop: "supplierName",
  },
  {
    label: "发票金额(元)",
    prop: "invoiceAmount",
  },
  {
    label: "付款金额(元)",
    prop: "paymentAmount",
  },
  {
    label: "应付金额(元)",
    prop: "payableAmount",
  },
]);
const tableDataSon = ref([]);
const tableLoadingSon = ref(false);
const pageSon = reactive({
  current: 1,
  size: 10,
});
const totalSon = ref(0);
const isShowSummarySon = ref(true);




/** 搜索按钮操作 */
const handleQuery = () => {
  page.current = 1;
  getList();
};
const pagination = ({ current, limit }) => {
  page.current = current;
  page.size = limit;
  getList();
};
const paginationSon = ({ current, limit }) => {
  pageSon.current = current;
  pageSon.size = limit;
  getList();
};
const getList = () => {
  tableLoading.value = false;
  paymentLedgerList({ ...searchForm.value, ...page }).then((res) => {
    let result = res.data
    tableLoading.value = false;
    tableData.value = result;
    total.value = result.total;
  });
};
// 表格选择数据
const handleSelectionChange = (selection) => {
  selectedRows.value = selection;
};

getList();
</script>

<style scoped lang="scss">
/* 选中某行时的背景色*/
/* .el-table__body tr.current-row > td {
  color: #c0c0c0;
  background: #F6F7FB !important;
} */
.el-row {
  .el-col-14 {
    .table_list {
      padding-right: 0px;
    }
  }
  .el-col-10 {
    .table_list {
      padding-left: 0px;
    }
  }
}
</style>
